<!-- 	Sised - Menu Estudiantes - Matricular Estudiante
		------------------------------------------------
		Recibe del formulario menu-estudiantes.php las variables: idi, daneid, danesede, bdie, idtipousuaio, lectivo, periodo

		Ultima Modificación: 12 de Marzo de 2012
		Por: Carlos Gerardo Galeano Flórez
-->
<?php
//  Forzar mostrar tildes y ñ
	header('Content-Type: text/html; charset=utf-8');
	$idi= $_GET['idi'];
	$daneie= $_GET['daneie'];
	$danesede= $_GET['danesede'];
	$idtipousuario= $_GET['idtipousuario'];
	$bdie= $_GET['bdie'];
	$lectivo= $_GET['lectivo'];
	$periodo= $_GET['periodo'];
	$nomsede= $_GET['nomsede'];
	include("php/sised-funciones.php"); 
	include("php/conexion-bdie.php");
	$consecutivonuid=10001;
	$result = mysql_query("Select nuid From datos_estudiantes",$db_basededatosie);
	if(mysql_num_rows($result)>0) {
		$consecutivonuid=10000+mysql_num_rows($result)+1;
	}
?>


<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<!-Hoja de estilos del Sised -->
<link rel="stylesheet" href="css/estilos.css" type="text/css" />

<title>Sised .::. Sistema de Información para Instituciones Educativas</title>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.6.4.min.js"></script>
<script type="text/javascript">
	
	$(document).ready(function(){
 		$('#gradoest').change(function(){
 			var id=$('#gradoest').val();
 			var rutaarchivo= 'php/sised-cargagrupos.php?id='+id+'&bdie='+document.fvalida.bdestest.value;
 			$('#grupos').load(rutaarchivo);
 		});
 	});
 	
</script>
<script language="javascript" type="text/javascript">  
	function validar() {
	    //Valido identificacion
	    if (document.fvalida.identest.value.length==0){
	       alert("Tiene que escribir un número de Identificación para el Estudiante")
	       document.fvalida.identest.focus()
	       return false;
	    }     
	    //Valido nombre
	    if (document.fvalida.nombrest.value.length==0){
	       alert("Tiene que escribir los Nombres para el Estudiante")
	       document.fvalida.nombrest.focus()
	       return false;
	    }     
	    //Valido apellidos
	    if (document.fvalida.apellest.value.length==0){
	       alert("Tiene que escribir los Apellidos para el Estudiante")
	       document.fvalida.apellest.focus()
	       return false;
	    }     
	    //Valido fecha de nacimiento
	    if (document.fvalida.nacimest.value.length<=8){
	       alert("Tiene que escribir una Fecha de Nacimiento para el Estudiante")
	       document.fvalida.nacimest.focus()
	       return false;
	    }     

	    //Valido lugar de nacimiento
	    if (document.fvalida.lugarest.value.length==0){
	       alert("Tiene que escribir un Lugar de Nacimiento para el Estudiante")
	       document.fvalida.lugarest.focus()
	       return false;
	    }     
	    //Valido puntaje sisben
	    if (document.fvalida.sisbeest.value.length==0){
	       alert("Tiene que escribir un Puntaje del Sisben para el Estudiante")
	       document.fvalida.sisbeest.focus()
	       return false;
	    }     
	    //Valido eps
	    if (document.fvalida.saludest.value.length==0){
	       alert("Tiene que escribir una EPS para el Estudiante")
	       document.fvalida.saludest.focus()
	       return false;
	    }     
	    //Valido direccion
	    if (document.fvalida.direcest.value.length==0){
	       alert("Tiene que escribir una Dirección para el Estudiante")
	       document.fvalida.direcest.focus()
	       return false;
	    }     
	    //Valido telfijo
	    if (document.fvalida.telefest.value.length==0){
	       alert("Tiene que escribir un Número de Teléfono para el Estudiante")
	       document.fvalida.telefest.focus()
	       return false;
	    }     
	    //Valido movil
	    if (document.fvalida.movilest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Estudiante")
	       document.fvalida.movilest.focus()
	       return false;
	    }     
	    //Valido email
	    if (document.fvalida.emailest.value.length==0){
	       alert("Tiene que escribir un Correo Electrónico para el Estudiante")
	       document.fvalida.emailest.focus()
	       return false;
	    }     
	    //Valido papa
	    if (document.fvalida.npapaest.value.length==0){
	       alert("Tiene que escribir el Nombre del Padre del Estudiante")
	       document.fvalida.npapaest.focus()
	       return false;
	    }     
	    //Valido movil papa
	    if (document.fvalida.tpapaest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Padre del Estudiante")
	       document.fvalida.tpapaest.focus()
	       return false;
	    }     
	    //Valido mama
	    if (document.fvalida.nmamaest.value.length==0){
	       alert("Tiene que escribir el Nombre de la Madre del Estudiante")
	       document.fvalida.nmamaest.focus()
	       return false;
	    }     
	    //Valido movil mama
	    if (document.fvalida.tmamaest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para la Madre del Estudiante")
	       document.fvalida.tmamaest.focus()
	       return false;
	    }     
	    //Valido acudiente
	    if (document.fvalida.nacudest.value.length==0){
	       alert("Tiene que escribir el Nombre del Acudiente del Estudiante")
	       document.fvalida.nacudest.focus()
	       return false;
	    }     
	    //Valido movil acudiente
	    if (document.fvalida.tacudest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Acudiente del Estudiante")
	       document.fvalida.tacudest.focus()
	       return false;
	    }     
	    //Valido email acudiente
	    if (document.fvalida.cacudest.value.length==0){
	       alert("Tiene que escribir un Correo Electrónico para el Acudiente del Estudiante")
	       document.fvalida.cacudest.focus()
	       return false;
	    }     
	    //Valido grado
	    if (document.fvalida.gradoest.value==199){
	       alert("Tiene que seleccionar un Grado para el Estudiante")
	       document.fvalida.gradoest.focus()
	       return false;
	    }     
	}
</script>

<base target="principal">
</head>

<body>
<table class="mtbl">
	<tr>
    	<td class="leftcol">
			<div class="nav">
				<h2><?php echo $nomsede; ?></h2>
				<ul>
					<li><a target="contenido">Año Lectivo: <?php echo substr($lectivo,0,1)." - ".substr($lectivo,1,4); ?></a></li>
					<li><a target="contenido">Periodo: <?php echo $periodo; ?></a></li>
					<li><a target="contenido">--------------------------------</a></li>
					<li><a target="contenido">Ayuda</a></li>
				</ul>
			</div>
		</td>
		<td class="rTd">
		<?php 
			include("php/conexion-infogeneral.php");
			$result = mysql_query("Select * From datos_sedes Where danesede='$danesede'",$db_infogeneral);
			if (mysql_num_rows($result)>0) {
				$registro=mysql_fetch_array($result);
				$nombresede=$registro["nombresede"];
				include("php/conexion-bdie.php");
			}
		?>
        <h4><b>Ficha de Matricula de Estudiante - <?php echo $nombresede; ?></b></h4>
        <form method="POST" name="fvalida" target="contenido" action="guardar-matricularestudiante.php?idi=<?php echo $idi;?>&daneie=<?php echo $daneie;?>&danesede=<?php echo $danesede;?>&bdie=<?php echo $bdie;?>&idtipousuario=<?php echo $idtipousuario;?>&lectivo=<?php echo $lectivo;?>&periodo=<?php echo $periodo;?>&nomsede=<?php echo $nomsede;?>" onSubmit="javascript:return validar();">
        <table style="font-size: 12px" id="zoom-params">
            <tr>
                <td>
                    <fieldset>
                        <legend><b><font size="2">Datos Personales del 
						Estudiante</font></b></legend>
                        <table>
                        	<tr><td><font size="2">No. Identificación del 
								Estudiante:</td><td><input type="text" name="identest" value="" size="20" maxlength="15"/></td></tr>
                            <tr><td><font size="2">Tipo de Documento:</td><td>
                                <select name="tipodest">
                                    <option value="RC">Registro Civil</option>
                                    <option value="TI">Tarjeta de Identidad</option>
                                    <option value="CC">Cédula de Ciudadania</option>
                                    <option value="NUI">Número Unico de 
									Identidad</option>
                                    <option value="CE">Cédula de Extranjería</option>
                                </select>
                            </td></tr>
                            <tr><td><font size="2">Nombres del Estudiante:            </td><td><input type="text" name="nombrest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Apellidos del Estudiante:          </td><td><input type="text" name="apellest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Fecha de Nacimiento:               </td><td><input type="text" name="nacimest" value="<?php echo date("Y-m-d"); ?>" size="15" maxlength="10" /></td></tr>					
                            <tr><td><font size="2">Lugar de Nacimiento:               </td><td><input type="text" name="lugarest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Genero:</td><td>
                                <select name="generest">
                                    <option value="M">Masculino</option>
                                    <option value="F">Femenino</option>
                                </select>
                            </td></tr>
                            <tr><td><font size="2">Factor RH:</td><td>
                                <select name="factoest">
                                    <option value="O+">O+</option>
                                    <option value="O-">O-</option>
                                    <option value="A+">A+</option>
                                    <option value="A-">A-</option>
                                    <option value="B+">B+</option>
                                    <option value="B-">B-</option>
                                    <option value="AB+">AB+</option>
                                    <option value="AB-">AB-</option>
                                </select>
                            </td></tr>
                            <tr><td><font size="2">Estrato:</td><td>
                                <select name="estraest">
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                </select>
                            </td></tr>
                            <tr><td><font size="2">Puntaje Sisben:               </td><td><input type="text" name="sisbeest" value="0" size="10" maxlength="5"/></td></tr>
                            <tr><td><font size="2">EPS:                          </td><td><input type="text" name="saludest" value="" size="25" maxlength="20"/></td></tr>
                            <tr><td><font size="2">Discapacidad:</td><td>
                                <select name="discaest">
                                    <option value="No Aplica">No Aplica</option>
                                    <option value="Sordera Profunda">Sordera 
									Profunda</option>
                                    <option value="Baja Audición">Baja Audición</option>
                                    <option value="Baja Visión">Baja Visión</option>
                                    <option value="Ceguera">Ceguera</option>
                                    <option value="Lesión Neuromuscular">Lesión 
									Neuromuscular</option>
                                    <option value="Autismo">Autismo</option>
                                    <option value="Deficiencia Cognitiva">
									Deficiencia Cognitiva</option>
                                    <option value="Sindrome de Down">Sindrome de 
									Down</option>
                                    <option value="Otro">Otro</option>
                                </select>
                            <tr><td><font size="2">Victima del Conflicto Armado:</td><td>
                                <select name="victiest">
                                    <option value="No Aplica">No Aplica</option>
                                    <option value="En Situación de Desplazamiento">
									En Situación de Desplazamiento</option>
                                    <option value="Desvinculado de Grupos Armados">
									Desvinculado de Grupos Armados</option>
                                    <option value="Hijo de Adulto Desmovilizado">
									Hijo de Adulto Desmovilizado</option>
                                </select>
                            <tr><td><font size="2">Capacidad Excepcional:</td><td>
                                <select name="capacest">
                                    <option value="No Aplica">No Aplica</option>
                                    <option value="Superdotado">Superdotado</option>
                                    <option value="Con Talento Científico">Con 
									Talento Científico</option>
                                    <option value="Con Talento Tecnológico">Con 
									Talento Tecnológico</option>
                                    <option value="Con Talento Subjetivo">Con 
									Talento Subjetivo</option>
                                </select>
                            <tr><td><font size="2">Dirección Residencia: </td><td><input type="text" name="direcest" value="" size="50" maxlength="50"/></td></tr>
                            <tr><td><font size="2">Teléfono Fijo:        </td><td><input type="text" name="telefest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Teléfono Móvil:       </td><td><input type="text" name="movilest" value="" size="30" maxlength="25"/></td></tr>
							<tr><td><font size="2">Correo Electrónico:   </td><td><input type="text" name="emailest" value="" size="50" maxlength="100"/></td></tr>
                        </table>
                    </fieldset>
                    <fieldset>
                        <legend><b><font size="2">Datos Familiares del 
						Estudiante</font></b></legend>
                        <table>
                            <tr><td><font size="2">Nombre del Padre:            </td><td><input type="text" name="npapaest" value="" size="50" maxlength="50"/></td></tr>
                            <tr><td><font size="2">Teléfono/Móvil del Padre:            </td><td><input type="text" name="tpapaest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Nombre del Madre:            </td><td><input type="text" name="nmamaest" value="" size="50" maxlength="50"/></td></tr>
                            <tr><td><font size="2">Teléfono/Móvil de la Madre:            </td><td><input type="text" name="tmamaest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Nombre del Acudiente:            </td><td><input type="text" name="nacudest" value="" size="50" maxlength="50"/></td></tr>
                            <tr><td><font size="2">Teléfono/Móvil del Acudiente:            </td><td><input type="text" name="tacudest" value="" size="30" maxlength="25"/></td></tr>
                            <tr><td><font size="2">Correo Electrónico del 
								Acudiente:            </td><td><input type="text" name="cacudest" value="" size="50" maxlength="100"/></td></tr>
                        </table>
                    </fieldset>                
                    <fieldset>
                        <legend><b><font size="2">Datos de la Matricula del 
						Estudiante</font></b></legend>
                        <table>
                        	<tr><td><font size="2" color="#000099"><b>Matricula 
								en la <?php echo $nombresede; ?></b></font></td></tr>
                            <tr><td><font size="2">Grado al que se Matricula:</td><td>
                                <select size="1" name="gradoest" id="gradoest" title ="Grados">
                                	<option value="199">Seleccione un Grado</option>
                                	<?php
                                		$result = mysql_query("Select idgrado, grado From datos_grados Where danesede='$danesede' and estado='1'",$db_basededatosie);
										while ($Fila=mysql_fetch_array($result)){ ?>
											<option value="<?php echo $Fila["idgrado"]; ?>"><?php echo $Fila["grado"]; ?></option>
										<?php }   
									?>
                                </select>
                            <tr><td><font size="2">Grupo ó Curso:</td><td>                            	
                            	<div id="grupos">
									<select name="grupoest">
										<option value="">Seleccione un Grupo</option>
									</select>
								</div>
                            <tr><td><font size="2">Especialidad:</td><td>
                                <select name="especest">
                                	<?php
                                		$result = mysql_query("Select idespecialidad, especialidad From datos_especialidades",$db_basededatosie);
										while ($Fila=mysql_fetch_array($result)){ ?>
											<option value="<?php echo $Fila["idespecialidad"]; ?>"><?php echo substr($Fila["idespecialidad"],0,1)." - "; ?><?php echo $Fila["especialidad"]; ?></option>
										<?php }   
									?>
                                </select>
                        	<tr><td><font size="2">Estudiante Repitente:</td><td><input type="checkbox" name="repitest">
                        	<tr><td><font size="2">La Matricula está Legalizada:</td><td><input type="checkbox" checked="checked" name="legalest">
                        </table>
                    </fieldset>                
                </td>
                <td>
                    <fieldset>
                        <legend><b><font size="2">Otros Datos</font></b></legend>
                        <table>
                        	<tr><td><font size="2">Consecutivo:</td><td><input name="conseest" type="text" value="<?php echo $consecutivonuid; ?>" disabled="true" size="20" /></td></tr>
                        	<tr><td><font size="2">Código Dane:</td><td><input name="daneest" type="text" value="<?php echo $daneie; ?>" disabled="true" size="20" /></td></tr>
                        	<tr><td><font size="2">Fecha:</td><td><input name="fechaest" type="text" id="fecha" value="<?php echo date("Y-m-d"); ?>" disabled="true" size="20" /></td></tr>
						</table>
					</fieldset>
				</td>
				<input name="bdestest" type="hidden" value="<?php echo $bdie;?>">
				<input name="consecutivo" type="hidden" value="<?php echo $consecutivonuid;?>">
            </tr>
        </table>                    
        <br/>
        <p align="left"><input type="submit" value="Matricular Estudiante" name="B1">&nbsp; <input type="button" value="Regresar" name="volver" onclick="history.back()" /></p>

        </form>
            
			<p align=right><font size="1">Versión Beta <?php echo " - ".$danesede; if (substr($idtipousuario,0,1)==0) echo dameURL();?></font></p>	
	</tr>
</table>
</body>

</html>
<?php
	mysql_close($db_basededatosie);
	mysql_close($db_infogeneral);
?>